pyxis
======

Deploy Steps
------------
check [deploy.md](docs/deploy.md)

Dependence Packages
-------------------
| Package                          | Description   |
| -------------------------------- | ------------- |
|[fastify](https://github.com/fastify/fastify) | Web Framework |
|[fastify-plugin](https://github.com/fastify/fastify-plugin) | Plugin helper for Fastify |
|[fastify-formbody](https://github.com/fastify/fastify-formbody) | A Fastify plugin to parse x-www-form-urlencoded bodies |
|[fastify-helmet](https://github.com/fastify/fastify-helmet)|Important security headers for Fastify|
|[mongoose](http://mongoosejs.com/)|MongoDB connector & ODM|
|[mongoose-findorcreate](https://github.com/drudge/mongoose-findorcreate)|adds a findOrCreate method to models |
|[typegoose](https://github.com/typegoose/typegoose)|mongodb ts orm|
|[tracer](https://github.com/baryon/tracer)| logging library for node.js|
|[fastify-jwt](https://github.com/fastify/fastify-jwt)|JWT utils for Fastify, internally uses jsonwebtoken|
|[fast-rbac](https://github.com/SkeLLLa/fast-rbac)|Implementation of RBAC module tuned to be fast |
|[axios](https://github.com/axios/axios)|Promise based HTTP client for the browser and node.js|


