import { Cfg } from '../../common/DataParser'

export class mission_vo implements Cfg {
  name: 'mission_vo'

  public id: number
  public number: number
  public typeID: number
  public type: string
  public commonlyadd: number
  public hardadd: number
  public lastdif: number
  public hp: number
  public hpstar: number
  public time: number
  public timestar: number
  public enemy: number
  public enemystar: number
  public keyID: string

  public decode(data: any) {
    this.id = data.id
    this.number = data.number
    this.typeID = data.typeID
    this.type = data.type
    this.commonlyadd = data.commonlyadd
    this.hardadd = data.hardadd
    this.lastdif = data.lastdif
    this.hp = data.hp
    this.hpstar = data.hpstar
    this.time = data.time
    this.timestar = data.timestar
    this.enemy = data.enemy
    this.enemystar = data.enemystar
    this.keyID = data.keyID
  }

  public isOK(uniqueID: number, param1: any, param2: any): boolean {
    if ((param1 == undefined || param1 == null) && (param2 == undefined || param2 == null)) {
      return this.id == uniqueID
    }
    if (param2 == undefined || param2 == null) {
      return this.id == uniqueID && this.id == param1
    }
    return this.id == uniqueID && this.id == param1 && this.id == param2
  }
}
