import axios from 'axios'
import fs from 'fs'
import FormData from 'form-data'

export function uploadToCDN(localPath: string, subPath: string) {
  let data = new FormData()
  data.append('sub_path', subPath)
  data.append('type', 'image')
  data.append('image-file', fs.createReadStream(localPath))

  let config: any = {
    method: 'post',
    url: 'https://opm.kingsome.cn/api/upload',
    headers: {
      ...data.getHeaders(),
    },
    data: data,
  }

  return axios(config)
}
