import BaseController from '../../common/base.controller'
import { router } from '../../decorators/router'
import { Tag } from '../../models/Tag'

class TagController extends BaseController {
  @router('get /api/tags')
  async list(req, res) {
    let records = await Tag.find({})
    return records.map(o => o.name)
  }
  @router('post /api/tag/save')
  async save(req) {
    const { name } = req.params
    let record = (await Tag.findOrCreate({ name })).doc
    await record.save()
    return {}
  }
}
