import { DataParser } from './DataParser'
import { compound_vo } from '../config/parsers/compound_vo'
import { mission_vo } from '../config/parsers/mission_vo'
import { BaseConst } from '../constants/BaseConst'

export function initCfgData() {
  const rP = DataParser.regCommonParser.bind(DataParser)
  rP(BaseConst.COMPOUND, compound_vo)
  rP(BaseConst.MISSION, mission_vo)

  DataParser.loadAll()
}
