import { getModelForClass, index, modelOptions, pre, prop } from '@typegoose/typegoose'
import { dbconn } from 'decorators/dbconn'
import { BaseModule } from '../Base'

@dbconn()
@modelOptions({ schemaOptions: { collection: 'nonce_record', timestamps: true } })
class NonceRecordClass extends BaseModule {
  @prop({ required: true, default: 0 })
  public status: number
}

export const NonceRecord = getModelForClass(NonceRecordClass, { existingConnection: NonceRecordClass['db'] })
