import axios from 'axios'

let random = function (start, end) {
  return (Math.random() * (end - start) + start) | 0
}

let getIp = function () {
  return `${random(1, 254)}.${random(1, 254)}.${random(1, 254)}.${random(1, 254)}`
}

export async function checkText(txt: string) {
  let qs = require('qs')
  const url = 'https://ai.baidu.com/aidemo'
  let data: string = qs.stringify({
    content: txt,
    type: 'textcensor',
    apiType: 'censor',
  })
  const useragent = `Mozilla/5.0 (Macintosh; Intel Mac OS X 10_0_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/${
    (70 + Math.random() * 10) | 0
  }.0.4324.${(Math.random() * 100) | 0} Safari/537.36`
  let reqConfig: any = {
    method: 'post',
    url,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded',
      referer: 'https://ai.baidu.com/tech/textcensoring',
      'User-Agent': useragent,
      'X-Forwarded-For': getIp(),
    },
    data: data,
  }
  return axios(reqConfig)
}
