import axios from 'axios'
import { singleton } from 'decorators/singleton'

const ADD_TASK_URI = '/chain/req'

@singleton
export class ChainSvr {
  addTask(data) {
    let url = `${process.env.CHAIN_SVR_HOST}${ADD_TASK_URI}`
    let reqConfig: any = {
      method: 'post',
      url,
      headers: {
        'Content-Type': 'application/json',
      },
      data: JSON.stringify(data),
    }
    return axios(reqConfig)
  }
}
