import axios from 'axios'
import { md5 } from '../utils/security.util'

const key = 'SWKBZ-SI6C3-TNG3L-3IXSD-XLLXV-CJB5Q'
const signKey = 'EuadDaRCGIyXpxEMSCJqPS2t4NGA44Rt'
const host = 'https://apis.map.qq.com'

export async function queryArea(keyword: string, region: string) {
  let path = '/ws/place/v1/suggestion'
  let signStr = `${path}?key=${key}&keyword=${keyword}&region=${region}${signKey}`
  let sig = md5(signStr)
  let data = {
    key,
    keyword,
    region,
    sig,
  }
  let url = `${host}${path}`
  return axios.get(url, { params: data }).then(res => {
    return res.data
  })
}

export async function addressToLoc(address: string) {
  let path = '/ws/geocoder/v1/'
  let signStr = `${path}?address=${address}&key=${key}${signKey}`
  let sig = md5(signStr)
  let data = { address, key, sig }
  let url = `${host}${path}`
  return axios.get(url, { params: data }).then(res => {
    return res.data
  })
}
